Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
ssl_common_dissect Struct Reference

## Public Attributes
struct {
gint change_cipher_spec
gint hs_exts_len
gint hs_ext_alpn_len
gint hs_ext_alpn_list
gint hs_ext_alpn_str
gint hs_ext_alpn_str_len
gint hs_ext_cert_url_item
gint hs_ext_cert_url_padding
gint hs_ext_cert_url_sha1
gint hs_ext_cert_url_type
gint hs_ext_cert_url_url
gint hs_ext_cert_url_url_hash_list_len
gint hs_ext_cert_url_url_len
gint hs_ext_cert_status_type
gint hs_ext_cert_status_request_len
gint hs_ext_cert_status_responder_id_list_len
gint hs_ext_cert_status_request_extensions_len
gint hs_ext_cert_status_request_list_len
gint hs_ocsp_response_list_len
gint hs_ocsp_response_len
gint hs_ext_cert_type
gint hs_ext_cert_types
gint hs_ext_cert_types_len
gint hs_ext_data
gint hs_ext_ec_point_format
gint hs_ext_ec_point_formats
gint hs_ext_ec_point_formats_len
gint hs_ext_supported_group
gint hs_ext_supported_groups
gint hs_ext_supported_groups_len
gint hs_ext_heartbeat_mode
gint hs_ext_len
gint hs_ext_npn_str
gint hs_ext_npn_str_len
gint hs_ext_reneg_info_len
gint hs_ext_reneg_info
gint hs_ext_key_share_client_length
gint hs_ext_key_share_group
gint hs_ext_key_share_key_exchange_length
gint hs_ext_key_share_key_exchange
gint hs_ext_key_share_selected_group
gint hs_ext_psk_identities_length
gint hs_ext_psk_identity_identity_length
gint hs_ext_psk_identity_identity
gint hs_ext_psk_identity_obfuscated_ticket_age
gint hs_ext_psk_binders_length
gint hs_ext_psk_binders
gint hs_ext_psk_identity_selected
gint hs_ext_supported_versions_len
gint hs_ext_supported_version
gint hs_ext_cookie_len
gint hs_ext_cookie
gint hs_ext_server_name
gint hs_ext_server_name_len
gint hs_ext_server_name_list_len
gint hs_ext_server_name_type
gint hs_ext_padding_data
gint hs_ext_type
gint hs_sig_hash_alg
gint hs_sig_hash_alg_len
gint hs_sig_hash_algs
gint hs_sig_hash_hash
gint hs_sig_hash_sig
gint hs_client_keyex_epms_len
gint hs_client_keyex_epms
gint hs_server_keyex_modulus_len
gint hs_server_keyex_exponent_len
gint hs_server_keyex_sig_len
gint hs_server_keyex_p_len
gint hs_server_keyex_g_len
gint hs_server_keyex_ys_len
gint hs_client_keyex_yc_len
gint hs_client_keyex_point_len
gint hs_server_keyex_point_len
gint hs_server_keyex_p
gint hs_server_keyex_g
gint hs_server_keyex_curve_type
gint hs_server_keyex_named_curve
gint hs_server_keyex_ys
gint hs_client_keyex_yc
gint hs_server_keyex_point
gint hs_client_keyex_point
gint hs_server_keyex_modulus
gint hs_server_keyex_exponent
gint hs_server_keyex_sig
gint hs_server_keyex_hint_len
gint hs_server_keyex_hint
gint hs_client_keyex_identity_len
gint hs_client_keyex_identity
gint hs_certificates_len
gint hs_certificates
gint hs_certificate_len
gint hs_certificate
gint hs_cert_types_count
gint hs_cert_types
gint hs_cert_type
gint hs_dnames_len
gint hs_dnames
gint hs_dname_len
gint hs_dname
gint hs_random
gint hs_random_time
gint hs_random_bytes
gint hs_session_id
gint hs_session_id_len
gint hs_client_version
gint hs_server_version
gint hs_cipher_suites_len
gint hs_cipher_suites
gint hs_cipher_suite
gint hs_comp_methods_len
gint hs_comp_methods
gint hs_comp_method
gint hs_session_ticket_lifetime_hint
gint hs_session_ticket_age_add
gint hs_session_ticket_nonce_len
gint hs_session_ticket_nonce
gint hs_session_ticket_len
gint hs_session_ticket
gint hs_finished
gint hs_client_cert_vrfy_sig_len
gint hs_client_cert_vrfy_sig
gint hs_ext_draft_version_tls13
gint hs_ext_psk_ke_modes_length
gint hs_ext_psk_ke_mode
gint hs_certificate_request_context_length
gint hs_certificate_request_context
gint hs_key_update_request_update
gint sct_scts_length
gint sct_sct_length
gint sct_sct_version
gint sct_sct_logid
gint sct_sct_timestamp
gint sct_sct_extensions_length
gint sct_sct_extensions
gint sct_sct_signature
gint sct_sct_signature_length
gint hs_ext_max_early_data_size
gint hs_ext_oid_filters_length
gint hs_ext_oid_filters_oid_length
gint hs_ext_oid_filters_oid
gint hs_ext_oid_filters_values_length
gint hs_ext_quictp_negotiated_version
gint hs_ext_quictp_initial_version
gint hs_ext_quictp_supported_versions_len
gint hs_ext_quictp_supported_versions
gint hs_ext_quictp_len
gint hs_ext_quictp_parameter
gint hs_ext_quictp_parameter_type
gint hs_ext_quictp_parameter_len
gint hs_ext_quictp_parameter_value
gint hs_ext_quictp_parameter_initial_max_stream_data
gint hs_ext_quictp_parameter_initial_max_data
gint hs_ext_quictp_parameter_initial_max_streams_bidi
gint hs_ext_quictp_parameter_idle_timeout
gint hs_ext_quictp_parameter_max_packet_size
gint hs_ext_quictp_parameter_stateless_reset_token
gint hs_ext_quictp_parameter_ack_delay_exponent
gint hs_ext_quictp_parameter_initial_max_streams_uni
} | hf
struct {
gint hs_ext
gint hs_ext_alpn
gint hs_ext_cert_types
gint hs_ext_groups
gint hs_ext_curves_point_formats
gint hs_ext_npn
gint hs_ext_reneg_info
gint hs_ext_key_share
gint hs_ext_key_share_ks
gint hs_ext_pre_shared_key
gint hs_ext_psk_identity
gint hs_ext_server_name
gint hs_ext_oid_filter
gint hs_ext_quictp_parameter
gint hs_sig_hash_alg
gint hs_sig_hash_algs
gint urlhash
gint keyex_params
gint certificates
gint cert_types
gint dnames
gint hs_random
gint cipher_suites
gint comp_methods
gint session_ticket
gint sct
gint cert_status
gint ocsp_response
} | ett
struct {
expert_field malformed_vector_length
expert_field malformed_buffer_too_small
expert_field malformed_trailing_data
expert_field hs_ext_cert_status_undecoded
expert_field resumed
expert_field record_length_invalid
} | ei

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/dissectors/packet-ssl-utils.h